<?xml version="1.0" encoding="UTF-8"?>
<tns:VectoInputDeclaration xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.4" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" schemaVersion="2.0" xmlns:tns="urn:tugraz:ivt:VectoAPI:DeclarationInput:v2.0" xmlns:di="http://www.w3.org/2000/09/xmldsig#" xsi:schemaLocation="urn:tugraz:ivt:VectoAPI:DeclarationJob V:\VectoCore\VectoCore\Resources\XSD/VectoDeclarationJob.xsd" xmlns:v1.0="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v1.0" xmlns:v2.0="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0" xmlns:v2.1="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.1"  xmlns:v2.3="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3" xmlns:v2.4="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.4">
	<v2.0:Vehicle xsi:type="Vehicle_Conventional_HeavyLorryDeclarationType" id="a">
		<Manufacturer>TU Graz</Manufacturer>
		<ManufacturerAddress>Inffeldgasse 19</ManufacturerAddress>
		<Model>HEV Heavy Lorry Px</Model>
		<VIN>1234</VIN>
		<Date>2017-01-01T00:00:00Z</Date>
		<LegislativeCategory>N3</LegislativeCategory>
		<ChassisConfiguration>Rigid Lorry</ChassisConfiguration>
		<AxleConfiguration>4x2</AxleConfiguration>
		<CorrectedActualMass>6000</CorrectedActualMass>
		<TechnicalPermissibleMaximumLadenMass>12000</TechnicalPermissibleMaximumLadenMass>
		<IdlingSpeed>650</IdlingSpeed>
		<RetarderType>None</RetarderType>
		<AngledriveType>None</AngledriveType>
		<PTO xsi:type="PTOType">
			<PTOShaftsGearWheels>none</PTOShaftsGearWheels>
			<PTOOtherElements>none</PTOOtherElements>
		</PTO>
		<ZeroEmissionVehicle>false</ZeroEmissionVehicle>
		<VocationalVehicle>false</VocationalVehicle>
		<NgTankSystem>Liquefied</NgTankSystem><!-- optional -->
		<SleeperCab>false</SleeperCab>
		<VehicleTypeApprovalNumber>ASDF</VehicleTypeApprovalNumber>
		<ADAS xsi:type="ADAS_Conventional_Type">
			<EngineStopStart>true</EngineStopStart>
			<EcoRollWithoutEngineStop>false</EcoRollWithoutEngineStop>
			<EcoRollWithEngineStop>true</EcoRollWithEngineStop>
			<PredictiveCruiseControl>1,2,3</PredictiveCruiseControl>
		</ADAS>
		<TorqueLimits xsi:type="v2.0:TorqueLimitsType"><!-- optional -->
			<v2.0:Entry gear="9" maxTorque="2000"/>
		</TorqueLimits>
		<Components xsi:type="Components_Conventional_LorryType">
			<Engine>
				<v2.0:Data xsi:type="v1.0:EngineDataDeclarationType" id="ENG-gooZah3D" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v1.0">
					<Manufacturer>Generic Engine Manufacturer</Manufacturer>
					<Model>Generic 40t Long Haul Truck Engine</Model>
					<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
					<Date>2017-02-15T11:00:00Z</Date>
					<AppVersion>VectoEngine x.y</AppVersion>
					<Displacement>12730</Displacement>
					<IdlingSpeed>560</IdlingSpeed>
					<RatedSpeed>2200</RatedSpeed>
					<RatedPower>380000</RatedPower>
					<MaxEngineTorque>2300</MaxEngineTorque>
					<WHTCUrban>1.0097</WHTCUrban>
					<WHTCRural>1.0035</WHTCRural>
					<WHTCMotorway>1.0200</WHTCMotorway>
					<BFColdHot>1.0000</BFColdHot>
					<CFRegPer>1.0000</CFRegPer>
					<CFNCV>1.0000</CFNCV>
					<FuelType>NG</FuelType>
					<FuelConsumptionMap>
						<Entry engineSpeed="560.00" torque="-149.00" fuelConsumption="0.00"/>
						<Entry engineSpeed="560.00" torque="1180.00" fuelConsumption="12869.00"/>
						<Entry engineSpeed="2100.00" torque="-320.00" fuelConsumption="0.00"/>
						<Entry engineSpeed="2100.00" torque="1100.00" fuelConsumption="50653.00"/>
					</FuelConsumptionMap>
					<FullLoadAndDragCurve>
						<Entry engineSpeed="560.00" maxTorque="1180.00" dragTorque="-149.00"/>
						<Entry engineSpeed="1800.00" maxTorque="1800.00" dragTorque="-300.00"/>
						<Entry engineSpeed="2100.00" maxTorque="1100.00" dragTorque="-320.00"/>
					</FullLoadAndDragCurve>
				</v2.0:Data>
				<v2.0:Signature>
					<di:Reference URI="#ENG-gooZah3D">
						<di:Transforms>
							<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
							<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
						</di:Transforms>
						<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
						<di:DigestValue>/qqS7iMvDm0MYurhsIRZTF5FeS+MNA2HnoS1P8SrSdA=</di:DigestValue>
					</di:Reference>
				</v2.0:Signature>
			</Engine>
			<Gearbox>
				<v2.0:Data id="gbx-vi2Oak2N" xsi:type="v2.0:GearboxDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Manufacturer>Generic Gearbox Manufacturer</Manufacturer>
					<Model>Generic 40t Long Haul Truck Gearbox</Model>
					<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
					<Date>2017-01-11T11:00:00Z</Date>
					<AppVersion>3.0.1</AppVersion>
					<TransmissionType>AMT</TransmissionType>
					<MainCertificationMethod>Standard values</MainCertificationMethod>
					<Gears xsi:type="GearsDeclarationType">
						<Gear number="1">
							<Ratio>14.930</Ratio>
							<MaxTorque>1900</MaxTorque>
							<MaxSpeed>2000</MaxSpeed>
							<TorqueLossMap>
								<Entry inputSpeed="0.00" inputTorque="-1000.00" torqueLoss="25.06"/>
								<Entry inputSpeed="0.00" inputTorque="50.00" torqueLoss="6.06"/>
								<Entry inputSpeed="0.00" inputTorque="3000.00" torqueLoss="54.06"/>
								<Entry inputSpeed="2100.00" inputTorque="-1000.00" torqueLoss="35.69"/>
								<Entry inputSpeed="2100.00" inputTorque="50.00" torqueLoss="16.69"/>
								<Entry inputSpeed="2100.00" inputTorque="3000.00" torqueLoss="64.69"/>
							</TorqueLossMap>
						</Gear>
						<Gear number="2">
							<Ratio>11.640</Ratio>
							<MaxTorque>1900</MaxTorque>
							<MaxSpeed>2000</MaxSpeed>
							<TorqueLossMap>
								<Entry inputSpeed="0.00" inputTorque="-1000.00" torqueLoss="25.06"/>
								<Entry inputSpeed="0.00" inputTorque="50.00" torqueLoss="6.06"/>
								<Entry inputSpeed="0.00" inputTorque="3000.00" torqueLoss="54.06"/>
								<Entry inputSpeed="2100.00" inputTorque="-1000.00" torqueLoss="35.69"/>
								<Entry inputSpeed="2100.00" inputTorque="50.00" torqueLoss="16.69"/>
								<Entry inputSpeed="2100.00" inputTorque="3000.00" torqueLoss="64.69"/>
							</TorqueLossMap>
						</Gear>
					</Gears>
				</v2.0:Data>
				<v2.0:Signature>
					<di:Reference URI="#gbx-vi2Oak2N">
						<di:Transforms>
							<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
							<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
						</di:Transforms>
						<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
						<di:DigestValue>8fsWE1AvinkI5UcWuU/vyx3X2kKjarP/qPC+Uon+aBE=</di:DigestValue>
					</di:Reference>
				</v2.0:Signature>
			</Gearbox>
			<TorqueConverter><!-- optional -->
				<v2.0:Data xsi:type="v1.0:TorqueConverterDataDeclarationType" id="TQ-1234" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v1.0">
					<Manufacturer>Some Manufacturer</Manufacturer>
					<Model>Some Model</Model>
					<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
					<Date>2017-02-15T11:00:00Z</Date>
					<AppVersion>TC CalcApp 123</AppVersion>
					<CertificationMethod>Standard values</CertificationMethod>
					<Characteristics>
						<Entry speedRatio="0.0000" torqueRatio="1.00" inputTorqueRef="300.00"/>
						<Entry speedRatio="0.5000" torqueRatio="1.00" inputTorqueRef="200.00"/>
						<Entry speedRatio="0.9000" torqueRatio="0.90" inputTorqueRef="200.00"/>
					</Characteristics>
				</v2.0:Data>
				<v2.0:Signature>
					<di:Reference URI="#TQ-1234">
						<di:Transforms>
							<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
							<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
						</di:Transforms>
						<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
						<di:DigestValue>P8mKieew0dWJFSIPapRXdUf2FsYG4ONvolD5kjkYEkw=</di:DigestValue>
					</di:Reference>
				</v2.0:Signature>
			</TorqueConverter>
			<Axlegear>
				<v2.0:Data id="AXL-EC3ohnoh" xsi:type="v2.0:AxlegearDataDeclarationType"  xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Manufacturer>Generic Gearbox Manufacturer</Manufacturer>
					<Model>Generic 40t Long Haul Truck AxleGear</Model>
					<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
					<Date>2017-01-11T11:00:00Z</Date>
					<AppVersion>3.0.1</AppVersion>
					<LineType>Single portal axle</LineType>
					<Ratio>2.590</Ratio>
					<CertificationMethod>Standard values</CertificationMethod>
					<TorqueLossMap>
						<Entry inputSpeed="0.00" inputTorque="-5000.00" torqueLoss="115.00"/>
						<Entry inputSpeed="0.00" inputTorque="0.00" torqueLoss="40.00"/>
						<Entry inputSpeed="0.00" inputTorque="15000.00" torqueLoss="265.00"/>
						<Entry inputSpeed="2100.00" inputTorque="-5000.00" torqueLoss="115.00"/>
						<Entry inputSpeed="2100.00" inputTorque="0.00" torqueLoss="40.00"/>
						<Entry inputSpeed="2100.00" inputTorque="35000.00" torqueLoss="565.00"/>
					</TorqueLossMap>
				</v2.0:Data>
				<v2.0:Signature>
					<di:Reference URI="#AXL-EC3ohnoh">
						<di:Transforms>
							<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
							<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
						</di:Transforms>
						<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
						<di:DigestValue>Ux2vo+s07pGr9XCbvNs/YbJcFaZClORRGXpP6Eyeze8=</di:DigestValue>
					</di:Reference>
				</v2.0:Signature>
			</Axlegear>
			<AxleWheels>
				<v2.0:Data xsi:type="v2.0:AxleWheelsDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Axles>
						<Axle axleNumber="1" xsi:type="AxleDataDeclarationType">
							<AxleType>VehicleNonDriven</AxleType>
							<TwinTyres>false</TwinTyres>
							<Steered>true</Steered>
							<Tyre>
								<Data id="WHL-5432198760-315-70-R22.5" xsi:type="TyreDataDeclarationType">
									<Manufacturer>Generic Wheels Manufacturer</Manufacturer>
									<Model>Generic Wheel</Model>
									<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
									<Date>2017-01-11T14:00:00Z</Date>
									<AppVersion>Tyre Generation App 1.0</AppVersion>
									<Dimension>315/70 R22.5</Dimension>
									<RRCDeclared>0.0055</RRCDeclared>
									<FzISO>31300</FzISO>
								</Data>
								<Signature>
									<di:Reference URI="#WHL-5432198760-315-70-R22.5">
										<di:Transforms>
											<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
											<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
										</di:Transforms>
										<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
										<di:DigestValue>A/sq1ng4cqeOyauDUqUEnonRSPch3VCqZDX9Pf3tW1Q=</di:DigestValue>
									</di:Reference>
								</Signature>
							</Tyre>
						</Axle>
						<Axle axleNumber="2" xsi:type="AxleDataDeclarationType">
							<AxleType>VehicleDriven</AxleType>
							<TwinTyres>true</TwinTyres>
							<Steered>false</Steered>
							<Tyre>
								<Data id="WHL-5432198760-315-70-R22.5" xsi:type="TyreDataDeclarationType">
									<Manufacturer>Generic Wheels Manufacturer</Manufacturer>
									<Model>Generic Wheel</Model>
									<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
									<Date>2017-01-11T14:00:00Z</Date>
									<AppVersion>Tyre Generation App 1.0</AppVersion>
									<Dimension>315/70 R22.5</Dimension>
									<RRCDeclared>0.0063</RRCDeclared>
									<FzISO>31300</FzISO>
								</Data>
								<Signature>
									<di:Reference URI="#WHL-5432198760-315-70-R22.5">
										<di:Transforms>
											<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
											<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
										</di:Transforms>
										<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
										<di:DigestValue>z+KDXmc5MIezM6RVgfYax5J9Efi0ghciG2/wLLmWaBk=</di:DigestValue>
									</di:Reference>
								</Signature>
							</Tyre>
						</Axle>
					</Axles>
				</v2.0:Data>
			</AxleWheels>
			<Auxiliaries>
				<Data xsi:type="AUX_Conventional_LorryDataType">
					<Fan>
						<Technology>Hydraulic driven - Constant displacement pump</Technology>
					</Fan>
					<SteeringPump>
						<Technology axleNumber="1">Variable displacement elec. controlled</Technology>
					</SteeringPump>
					<ElectricSystem>
						<Technology>Standard technology - LED headlights, all</Technology>
					</ElectricSystem>
					<PneumaticSystem>
						<Technology>Medium Supply 2-stage</Technology>
					</PneumaticSystem>
					<HVAC>
						<Technology>Default</Technology>
					</HVAC>
				</Data>
			</Auxiliaries>
			<AirDrag><!-- optional -->
				<Data id="CabinX23h" xsi:type="v2.0:AirDragDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Manufacturer>Generic Manufacturer</Manufacturer>
					<Model>Generic Model</Model>
					<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
					<Date>2017-03-24T15:00:00Z</Date>
					<AppVersion>Vecto AirDrag x.y</AppVersion>
					<CdxA_0>6.31</CdxA_0>
					<TransferredCdxA>6.32</TransferredCdxA>
					<DeclaredCdxA>6.34</DeclaredCdxA>
				</Data>
				<v2.0:Signature>
					<di:Reference URI="#CabinX23h">
						<di:Transforms>
							<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
							<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
						</di:Transforms>
						<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
						<di:DigestValue>NroIsfnT7+1zYG5CTHxpclh0ZaRZvGyrfFPmWdKbFbg=</di:DigestValue>
					</di:Reference>
				</v2.0:Signature>
			</AirDrag>
		</Components>
	</v2.0:Vehicle>
</tns:VectoInputDeclaration>
